# \nre\exceptionsDatamodelException

Exception: Datamodel.

This exception is thrown when an error occurred during the execution of a datamodel.

## Summary

Methods
Properties
Constants
__construct()
getDatamodelMessage()
getDatamodelErrorNumber()
No public properties found
CODE
MESSAGE
No protected methods found
No protected properties found
N/A
concat()
$datamodelMessage
$datamodelErrorNumber
N/A

File
  exceptions/DatamodelException.inc
Package
  Default
Class hierarchy
  \Exception
  \nre\core\Exception
  \nre\exceptions\DatamodelException

## Tags

author | coderkun olli@coderkun.de

## Constants

### CODE

    CODE

Error code

#

## Tags

None found

### MESSAGE

    MESSAGE

Error message

#

## Tags

None found

## Properties

### $datamodelMessage

    $datamodelMessage : string

Error message of datamodel

#### Type

string

#

## Tags

None found

### $datamodelErrorNumber

    $datamodelErrorNumber : integer

Error code of datamodel

#### Type

integer

#

## Tags

None found

## Methods

### __construct()

    __construct(string  $datamodelMessage, integer  $datamodelErrorNumber)

Consturct a new exception.

#### Parameters

string | $datamodelMessage | Error message of datamodel
integer | $datamodelErrorNumber | Error code of datamodel

#

## Tags

None found

### getDatamodelMessage()

    getDatamodelMessage() : string

Get the error message of datamodel.

#### Returns

string —

Error message of datamodel

#

## Tags

None found

### getDatamodelErrorNumber()

    getDatamodelErrorNumber() : string

Get the error code of datamodel.

#### Returns

string —

Error code of datamodel

#

## Tags

None found

### concat()

    concat(string  $message, string  $name)

Insert the name in a message

#### Parameters

string | $message | Error message
string | $name | Name to insert

#

Inherited from
  \nre\core\Exception

## Tags

None found

### DatamodelException.inc